import Scene from "../views/Scene";
import SceneCtrl from "../ctrls/sceneCtrl";
import { ModuleTypes } from "../types/sceneTypes";
import GameConst from "../GameConst"

export default class StartScene extends Scene{
    protected get skinKey() { return 'Start' }

    private isPlayMusic:boolean = false;

    public startBtn:eui.Button;
    public logo:eui.Image;
    

    initEvents() {
        this.startBtn.addEventListener(egret.TouchEvent.TOUCH_TAP,this.onClick_startBtn,this);
    }

    removeEvents() {
        this.startBtn.removeEventListener(egret.TouchEvent.TOUCH_TAP,this.onClick_startBtn,this);
    }

    // 开始游戏
    private onClick_startBtn(e:egret.TouchEvent){
        GameConst.stage = this.stage;
        SceneCtrl.instance.change(ModuleTypes.PLAY_SCENE)
    }

}